{% extends 'kpi/base.html' %}
{% load static %}
{% block title %}Мои показатели{% endblock %}
{% block extrastyles %}
    <link rel="stylesheet" href="{% static 'css/my_indicators.css' %}">
    <link rel="stylesheet" href="{% static 'css/reportwindow.css' %}">
    <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
{% endblock %}
{% block content %}
    {% include 'kpi/reportwindow.html' with page='my_indicators_list' %}
    <div class="content-basic collapse-info">
        <a href="#filters" data-toggle="collapse">Панель фильтров</a>
        <div class="row collapse" id="filters">
            <div class="col-lg-8 col-lg-offset-1">
                <div class="row">
                        <div class="form-group col-lg-12">
                            <label for="indicator_name">Название</label>
                            <input type="text" class="form-control" id="indicator_name" name="name"
                                   placeholder="Введите название">
                            <span id="helpBlock"
                                  class="help-block">Для игнорирования фильтра оставьте поле пустым</span>
                        </div>
                        <div class="col-lg-12">
                            <label>Срок выполнения</label>
                        </div>
                        <div class="control-label col-lg-1 col-md-1">
                            <label for="date_from">От</label>
                        </div>
                        <div class="form-group col-lg-5 col-md-5">
                            <input type="date" class="form-control" id="date_from" name="date_from" placeholder="От">
                        </div>
                        <div class="control-label col-lg-1 col-md-1">
                            <label for="date_to">До</label>
                        </div>
                        <div class="form-group col-lg-5 col-md-5">
                            <input type="date" class="form-control" id="date_to" name="date_to" placeholder="До">
                        </div>
                        <div class="form-group col-lg-12">
                            <label for="set_name">Название набора</label>
                            <select id="set_name" name="set" class="form-control" name="set">
                                <option selected value="-1" style="font-style: italic">Выберите набор</option>
                                {% for set in sets %}
                                    <option value="{{ set.set__set__id }}">{{ set.set__set__name }}</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <label>
                                <input id="uncompleted_checkbox" type="checkbox" name="completed" value="uncompleted"> Только незаконченные
                            </label>
                        </div>
                        <div class="col-lg-6 col-md-6">
                            <label>
                                <input id="completed_checkbox" type="checkbox" name="completed" value="completed"> Только законченные
                            </label>
                        </div>
                        <div class="col-lg-12">
                            <button id="filter-btn" class="btn btn-primary">Отфильтровать</button>
                        </div>
                </div>
            </div>
        </div>

        <div id="indicators_container" style="margin-top: 20px">
        </div>
    </div>
    <div id="loading_icon"><span class="glyphicon glyphicon-refresh "></span></div>
    <script src="{% static 'js/my_indicators.js' %}"></script>
{% endblock %}